BaseCcmRule DseRequirement max should use DseVersion, not Cassandra version

Description

The max value from DseRequirementAnnotation is ignored.
For min the dseVersion is taken into account:

1 2 3 4 5 6 7 Version dseVersion = dseVersionOption.get(); if (!dseRequirement.min().isEmpty()) { Version minVersion = Version.parse(dseRequirement.min()); if (minVersion.compareTo(dseVersion) > 0) { return buildErrorStatement(minVersion, dseRequirement.description(), false, true); } }

but for maax it is ignored:

1 2 3 4 5 6 7 if (!dseRequirement.max().isEmpty()) { Version maxVersion = Version.parse(dseRequirement.max()); if (maxVersion.compareTo(ccmBridge.getCassandraVersion()) <= 0) { return buildErrorStatement(maxVersion, dseRequirement.description(), true, true); } }

Environment

None

Pull Requests

None

Status

Assignee

Tomasz Lelek

Reporter

Tomasz Lelek

Labels

None

PM Priority

None

Reproduced in

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

External issue ID

None

Doc Impact

None

Reviewer

None

Size

None

Fix versions

Priority

Major